::----------------------------------
::     Script by BME/ILMHB 2012
::----------------------------------

IF "%check%"=="" GOTO norun

CD ..
MKDIR !BACKUP

::-----------<BACKUPING>------------
IF NOT EXIST TILES016.art GOTO t17
COPY TILES016.art !BACKUP
:t17
IF NOT EXIST TILES017.art GOTO t18
COPY TILES017.art !BACKUP
:t18
IF NOT EXIST TILES018.art GOTO t19
COPY TILES018.art !BACKUP
:t19
IF NOT EXIST TILES019.art GOTO t20
COPY TILES019.art !BACKUP
:t20


::--------------<MOVING>------------
CD %project%
COPY *.map ..
COPY TWOAFA.ini ..
COPY *.art ..
CD ..

::----------<INSTALLING>------------


::------------<RUN GAME>------------
BLOOD -ini TWOAFA.ini

::------------<RESTORE>-------------
DEL NEWEMAP*.map
DEL TWOAFA.ini
DEL TILES016.art
DEL TILES017.art
DEL TILES018.art
DEL TILES019.art

CD !BACKUP
COPY *.* ..
DEL *.*
CD ..
RD !BACKUP

ECHO.
ECHO ALL FILES RESTORED!
GOTO end

:norun
@ECHO OFF
CLS
ECHO ERROR! - It's not allowed to run this file on it's own!
ECHO.
GOTO end

:end